## Get All Fraud configuration for tenant.

### cURL

```bash
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Status Codes

- 200
- 400
- 404
- 500

### Sample JSON Response

```json
{
  "serviceName": "FRAUD_RELEASE_SERVICE",
  "processName": "ORDER_CREATE",
  "configuration": {
    "conditions": "[  // OR BLOCK START\n   [    // AND BLOCK STARTS\n     {\n       \"key\": \"orderDate\",\n       \"operator\": \"lte\",\n       \"type\": \"date\",\n       \"value\": [-59, \"SECONDS\"] // now -59 sec\n     },\n     {\n       \"key\": \"type\",\n       \"operator\": \"in\",\n       \"value\": [\"web\", \"mobile\"]\n     }\n   ],  // AND BLOCK END\n   [ // AND BLOCK STARTS\n     {\n       \"key\": \"orderDate\",\n       \"operator\": \"lt\",\n       \"type\": \"date\",\n       \"value\": [-10, \"MINUTES\"]\n     },\n     {\n       \"key\": \"type\",\n       \"operator\": \"is\",\n       \"value\": \"postman\"\n     }\n   ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
  },
  "tenantId": "asferf3r4safasdcd"
}
```

### Error Responses

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Fraud Config not Found"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

#### Authorization
- **Type:** string
- **Location:** header
- **Required:** Yes

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers

- **x-site-context**: string - Required header containing context about the data source.

### Path Parameters

- **serviceName**: string - Required
- **processName**: string - Required

### Response Model

- **serviceName**: string - Required
- **processName**: string - Required
- **configuration**: object - Required
- **tenantId**: string - Example: "asferf3r4safasdcd"
